<div *ngIf="access else loading_screen">
  <div class="form-group row">
    <div class="col-md-4 col-sm-8 mb-2">
      <input type='text' (keyup)='updateFilter($event)' class="form-control form-control-sm" placeholder='Enter name...' />
    </div>

    <div class="col-md-8 col-sm-6 mb-2" *ngIf="user_filter > 0">
      <div *ngIf="access.can_add" class="float-right">
        <button type="button" (click)="add()" class="btn btn-flat btn-sm clr-white bk-clr-three">
          <span class="fa fa-user-plus"></span>
          Add
        </button>
      </div>
    </div>
  </div>

  <ngx-datatable class="material" [rows]="users" [loadingIndicator]="loading" [columnMode]="'force'" [headerHeight]="45" [footerHeight]="40"
    [rowHeight]="'auto'" [limit]="10">

    <ng-container *ngIf="user_filter == 5">
      <ngx-datatable-column name="Student ID">
        <ng-template let-row="row" ngx-datatable-cell-template>
          {{ row.student.student_number }}
        </ng-template>
      </ngx-datatable-column>
      <ngx-datatable-column name="Student Code">
        <ng-template let-row="row" ngx-datatable-cell-template>
          {{ row.student.student_code }}
        </ng-template>
      </ngx-datatable-column>
    </ng-container>
    <ngx-datatable-column prop="first_name" name="Name">
      <ng-template let-row="row" ngx-datatable-cell-template>
        {{ row.getFullname() }}
      </ng-template>
    </ngx-datatable-column>
    <ngx-datatable-column prop="email" name="Email"></ngx-datatable-column>
    <ngx-datatable-column prop="gender" name="Gender"></ngx-datatable-column>

    <ng-container *ngIf="user_filter == 0">
      <ngx-datatable-column prop="user_type" name="User Type">
        <ng-template let-row="row" ngx-datatable-cell-template>
          {{ row.getUserType() }}
        </ng-template>
      </ngx-datatable-column>
    </ng-container>
    <ng-container>
      <ngx-datatable-column name="Enabled" [headerClass]="'text-center'" [cellClass]="'text-center'">
        <ng-template let-row="row" ngx-datatable-cell-template>
          <button *ngIf="access && access.can_edit" type="button" class="btn btn-link mr-3" (click)="enable(row)">
            <span title="{{row.getStatusTitle()}}" class="fa" [ngClass]="{'fa-toggle-off text-red':!row.is_active,'fa-toggle-on text-green':row.is_active}"></span>
          </button>
        </ng-template>
      </ngx-datatable-column>
    </ng-container>
    <ngx-datatable-column name="Action" [headerClass]="'text-center'" [cellClass]="'text-center'">
      <ng-template let-row="row" ngx-datatable-cell-template>
        <button *ngIf="access && access.can_edit" type="button" class="btn btn-link mr-2" (click)="edit(row.id,row.user_type)">
          <span title="Edit this user" class="fa fa-edit"></span>
        </button>
        <button *ngIf="access && access.can_delete" type="button" class="ml-auto btn btn-link btn-sm text-white mr-2" placement="top"
          [ngbPopover]="popDeleteContent" [popoverTitle]="popDeleteTitle" container="body" [autoClose]="'outside'" #deletePop="ngbPopover">
          <span class="fa fa-trash text-red"></span>
        </button>

        <ng-template #popDeleteTitle>
          <small>
            <b>
              Confirm delete
            </b>
          </small>
        </ng-template>

        <ng-template #popDeleteContent>

          <p>Are you sure you want to delete this user?</p>
          <p class="small">
            <strong>Name:</strong> {{ row.getFullname() }}
          </p>

          <div class="d-flex my-2">
            <div class="ml-auto">

              <button type="button" class="btn btn-link px-2" (click)="delete(row.id)" data-toggle="tooltip" data-placement="bottom" title="Yes">
                <span class="fa fa-check text-green"></span>
              </button>
              <!-- <button type="button" class="btn btn-link px-2" (click)="deletePop.close()" data-toggle="tooltip" data-placement="bottom"
                title="No">
                <span class="fa fa-times text-red"></span>
              </button> -->
            </div>

          </div>
        </ng-template>
      </ng-template>
    </ngx-datatable-column>
  </ngx-datatable>
</div>

<ng-template #loading_screen>
  <app-loading></app-loading>
</ng-template>